memptr Struct Reference

`#include <membuffer.h>`

## Data Fields

char * | buf
size_t | length

## Detailed Description

pointer to a chunk of memory.

## Field Documentation

## buf

char* memptr::buf

start of memory (read/write).

Referenced by Check_Connect_And_Wait_Connection(), check_soap_request(), check_soapaction_hdr(), CheckOtherHTTPHeaders(), create_url_list(), ExtraHTTPHeaders(), gena_process_notification_event(), gena_process_subscription_renewal_request(), gena_process_subscription_request(), gena_process_unsubscribe_request(), gena_subscribe(), get_mpost_acton_hdrval(), handle_invoke_action(), has_xml_content_type(), http_GetHttpResponse(), memptr_cmp(), memptr_cmp_nocase(), print_http_headers(), process_request(), soap_device_callback(), ssdp_handle_ctrlpt_msg(), and ssdp_handle_device_request().

## length

size_t memptr::length

length of memory (read-only).

Referenced by Check_Connect_And_Wait_Connection(), check_soapaction_hdr(), CheckOtherHTTPHeaders(), create_url_list(), ExtraHTTPHeaders(), gena_process_notification_event(), gena_process_subscription_renewal_request(), gena_process_subscription_request(), gena_process_unsubscribe_request(), gena_subscribe(), get_mpost_acton_hdrval(), handle_invoke_action(), has_xml_content_type(), http_ReadHttpResponse(), http_RecvPostMessage(), memptr_cmp(), memptr_cmp_nocase(), print_http_headers(), process_request(), ssdp_handle_ctrlpt_msg(), and ssdp_handle_device_request().

The documentation for this struct was generated from the following file:

- /build/pupnp-CzNTB5/pupnp-1.14.20/upnp/src/inc/membuffer.h